[GitHub] [maven-doxia] dependabot[bot] opened a new pull request #44: Bump xmlunit-core from 2.7.0 to 2.8.1

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[GitHub] [maven-doxia] dependabot[bot] opened a new pull request #44: Bump xmlunit-core from 2.7.0 to 2.8.1

GitBox

dependabot[bot] opened a new pull request #44:
URL: https://github.com/apache/maven-doxia/pull/44


   Bumps [xmlunit-core](https://github.com/xmlunit/xmlunit) from 2.7.0 to 2.8.1.
   <details>
   <summary>Release notes</summary>
   <p><em>Sourced from <a href="https://github.com/xmlunit/xmlunit/releases">xmlunit-core's releases</a>.</em></p>
   <blockquote>
   <h2>XMLUnit for Java 2.8.1</h2>
   <p>The only real change when compared to XMLUnit for Java 2.8.0 is the introduction of a new <code>xmlunit-assertj3</code> module that requires AssertJ 3.18.1 or later in order to address a problem with running AssertJ tests in an OSGi environment.</p>
   <p>The original <code>xmlunit-assertj</code> module will still be supported.</p>
   <p>The full changelog of XMLUnit for Java 2.8.1</p>
   <ul>
   <li>
   <p>added a new xmlunit-assertj3 module that requires AssertJ 3.18.1 or later.</p>
   <p>This module no longer uses AssertJ internal classes that are not exported to OSGi environments and thus fixes issue <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a>.</p>
   <p>The module (like AssertJ 3.x itself) requires Java 8 at runtime and is similar to xmlunit-assertj but is no drop-in replacement. It uses a different Java package from xmlunit-assertj and <code>CompareAssert</code> will no longer throw a JUnit 4.x <code>ComparisonException</code> but an opentest4j <code>AssertionFailedError</code> instead.</p>
   <p>The existing xmlunit-assertj module will still be supported in future releases but expect AssertJ 3.x specific changes to only get applied to xmlunit-assertj3.</p>
   <p>Many thanks to <a href="https://github.com/Zegveld">@Zegveld</a>, <a href="https://github.com/scordio">@scordio</a> and  <a href="https://github.com/joel-costigliola">@joel-costigliola</a>.</p>
   </li>
   </ul>
   <h2>XMLUnit for Java 2.8.0</h2>
   <p>This release now requires Java 7 for all modules and updates some dependencies - the changed JAXB dependency is a breaking change. It also fixes a few bugs.</p>
   <p>Details of changes:</p>
   <ul>
   <li>
   <p>changed optional JAXB dependency to use Jakarta XML Binding API
   PR <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/pull/186">#186</a> by <a href="https://github.com/endrejeges">@endrejeges</a></p>
   </li>
   <li>
   <p>bumped the bytebuddy dependency to 1.10.10 for the AssertJ module in the hope it would help with <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/188">#188</a></p>
   <ul>
   <li>and change its scope from provided to compile time, which should finally fix the issue.</li>
   </ul>
   </li>
   <li>
   <p>added a new <code>extractingText</code> method to <code>MultipleNodeAssert</code> to make it possible to write AssertJ assertions against the textual content of nodes more easily.
   Issue <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/192">#192</a> and PR <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/pull/193">#193</a> by <a href="https://github.com/keesvandieren">@keesvandieren</a></p>
   </li>
   <li>
   <p>changed the minimum Java version required from Java 6 to Java 7 for all modules (it has already been Java 7 for the AssertJ module before).</p>
   </li>
   <li>
   <p><code>DefaultNodeMatcher</code> with multiple <code>ElementSelector</code>s could fail to find the best matches as the order of <code>ElementSelector</code>s should
   select them.
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/197">#197</a></p>
   </li>
   <li>
   <p><code>Input</code> builder now supports <code>java.nio.file.Path</code>
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/196">#196</a></p>
   </li>
   <li>
   <p>It is now possible to specify a custom <code>TransformerFactory</code> for <code>DefaultComparisonFormatter</code>.
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/195">#195</a></p>
   </li>
   </ul>
   </blockquote>
   </details>
   <details>
   <summary>Changelog</summary>
   <p><em>Sourced from <a href="https://github.com/xmlunit/xmlunit/blob/main/RELEASE_NOTES.md">xmlunit-core's changelog</a>.</em></p>
   <blockquote>
   <h2>XMLUnit for Java 2.8.1 - /Released 2020-11-15/</h2>
   <ul>
   <li>
   <p>added a new xmlunit-assertj3 module that requires AssertJ 3.18.1 or
   later.</p>
   <p>This module no longer uses AssertJ internal classes that are not
   exported to OSGi environments and thus fixes issue <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a>.</p>
   <p>The module (like AssertJ 3.x itself) requires Java 8 at runtime and
   is similar to xmlunit-assertj but is no drop-in replacement. It uses
   a different Java package from xmlunit-assertj and <code>CompareAssert</code>
   will no longer throw a JUnit 4.x <code>ComparisonException</code> but an
   opentest4j <code>AssertionFailedError</code> instead.</p>
   <p>The existing xmlunit-assertj module will still be supported in
   future releases but expect AssertJ 3.x specific changes to only get
   applied to xmlunit-assertj3.</p>
   <p>Many thanks to <a href="https://github.com/Zegveld">@Zegveld</a>,
   <a href="https://github.com/scordio">@scordio</a> and
   <a href="https://github.com/joel-costigliola">@joel-costigliola</a>.</p>
   </li>
   </ul>
   <h2>XMLUnit for Java 2.8.0 - /Released 2020-10-30/</h2>
   <ul>
   <li>
   <p>changed optional JAXB dependency to use Jakarta XML Binding API
   PR <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/pull/186">#186</a>
   by <a href="https://github.com/endrejeges">@endrejeges</a></p>
   </li>
   <li>
   <p>bumped the bytebuddy dependency to 1.10.10 for the AssertJ module in
   the hope it would help with
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/188">#188</a></p>
   <ul>
   <li>and change its scope from provided to compile time, which should
   finally fix the issue.</li>
   </ul>
   </li>
   <li>
   <p>added a new <code>extractingText</code> method to <code>MultipleNodeAssert</code> to make
   it possible to write AssertJ assertions against the textual content
   of nodes more easily.
   Issue <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/192">#192</a> and PR
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/pull/193">#193</a>
   by <a href="https://github.com/keesvandieren">@keesvandieren</a></p>
   </li>
   <li>
   <p>changed the minimum Java version required from Java 6 to Java 7 for
   all modules (it has already been Java 7 for the AssertJ module
   before).</p>
   </li>
   <li>
   <p><code>DefaultNodeMatcher</code> with multiple <code>ElementSelector</code>s could fail to
   find the best matches as the order of <code>ElementSelector</code>s should
   select them.
   <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/197">#197</a></p>
   </li>
   </ul>
   <!-- raw HTML omitted -->
   </blockquote>
   <p>... (truncated)</p>
   </details>
   <details>
   <summary>Commits</summary>
   <ul>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/4f40e461dfb74517f8c579d436a518c3866a5bef"><code>4f40e46</code></a> cut XMLUnit 2.8.1</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/36470a14c116ddbd3d082ac6cbb310bc93a4960d"><code>36470a1</code></a> document xmlunit-assertj3 module. closes <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a></li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/d62805dbdf5e771ef864f0166afd7f0d3497a23d"><code>d62805d</code></a> migrated to travis-ci.com</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/7da8ed8be881397d7385e9da33f6b2172e9fbce0"><code>7da8ed8</code></a> update javadocs for xmlunit-assertj3</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/39e8e9aade11f7f943fd3c20b8e7d8503fd869e0"><code>39e8e9a</code></a> update release notes for <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a></li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/a1b5ea46727c5a526ea5328a2427cff19683f173"><code>a1b5ea4</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/206">#206</a> from rigd-loxia/main</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/cfec6b12cb74b88406712cf59af61596c6b903a9"><code>cfec6b1</code></a> <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/205">#205</a>: escape '%'-signs for further handling in assertj.</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/6e1f83d68c028a5ed4bb1f6f8bbadc4181ca1024"><code>6e1f83d</code></a> Use the now protected isElementOfCustomAssert, see <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a></li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/70df913acf9f233ba2c630f410341bb0d2a2af5d"><code>70df913</code></a> hello is the expanded reference, nit xyzzy</li>
   <li><a href="https://github.com/xmlunit/xmlunit/commit/18e329ef5245f818daa20c1a29101ef0557d96e0"><code>18e329e</code></a> prepare for isElementOfCustomAssert becoming protected - see <a href="https://github-redirect.dependabot.com/xmlunit/xmlunit/issues/203">#203</a></li>
   <li>Additional commits viewable in <a href="https://github.com/xmlunit/xmlunit/compare/v2.7.0...v2.8.1">compare view</a></li>
   </ul>
   </details>
   <br />
   
   
   [![Dependabot compatibility score](https://dependabot-badges.githubapp.com/badges/compatibility_score?dependency-name=org.xmlunit:xmlunit-core&package-manager=maven&previous-version=2.7.0&new-version=2.8.1)](https://docs.github.com/en/github/managing-security-vulnerabilities/configuring-github-dependabot-security-updates)
   
   Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting `@dependabot rebase`.
   
   [//]: # (dependabot-automerge-start)
   [//]: # (dependabot-automerge-end)
   
   ---
   
   <details>
   <summary>Dependabot commands and options</summary>
   <br />
   
   You can trigger Dependabot actions by commenting on this PR:
   - `@dependabot rebase` will rebase this PR
   - `@dependabot recreate` will recreate this PR, overwriting any edits that have been made to it
   - `@dependabot merge` will merge this PR after your CI passes on it
   - `@dependabot squash and merge` will squash and merge this PR after your CI passes on it
   - `@dependabot cancel merge` will cancel a previously requested merge and block automerging
   - `@dependabot reopen` will reopen this PR if it is closed
   - `@dependabot close` will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
   - `@dependabot ignore this major version` will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
   - `@dependabot ignore this minor version` will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
   - `@dependabot ignore this dependency` will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
   
   
   </details>


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]